org.eclipse.wst.jsdt.chromium.debug.ui.actions.pinpoint

## Class PinPointValueAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction<T>
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction.Single<VariableBasedAction.VariableWrapper>
    - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.pinpoint.PinPointValueAction

Direct Known Subclasses:
  PinPointValueAction.ForExpression, PinPointValueAction.ForVariable

    public abstract class PinPointValueAction
    extends SelectionBasedAction.Single<VariableBasedAction.VariableWrapper>

Pin-point value as a global object property action. The class is abstract to work in "Variables" and "Expressions" views (see inner classes below).

### Nested Class Summary

Nested Classes
`static class` `PinPointValueAction.ForExpression`
`static class` `PinPointValueAction.ForVariable`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`SelectionBasedAction.ActionRunnable, SelectionBasedAction.Single<T>`

### Constructor Summary

Constructors
`protected` `PinPointValueAction(VariableBasedAction.ElementHandler elementHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VariableBasedAction.VariableWrapper` `castElement(java.lang.Object element)` User-provided method that casts raw selection element to user type T.
`protected SelectionBasedAction.ActionRunnable` `createRunnable(VariableBasedAction.VariableWrapper selectedElement)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction.Single

`readSelection`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`dispose, getAction, init, modifyActionText, restoreActionText, run, runWithEvent, selectionChanged, setActivePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PinPointValueAction

    protected PinPointValueAction(VariableBasedAction.ElementHandler elementHandler)

### Method Detail

#### castElement

    protected VariableBasedAction.VariableWrapper castElement(java.lang.Object element)

Description copied from class: `SelectionBasedAction.Single`
User-provided method that casts raw selection element to user type T. Method may return null which means that this raw object should be ignored.

Specified by:
  `castElement` in class `SelectionBasedAction.Single<VariableBasedAction.VariableWrapper>`

#### createRunnable

    protected SelectionBasedAction.ActionRunnable createRunnable(VariableBasedAction.VariableWrapper selectedElement)

Specified by:
  `createRunnable` in class `SelectionBasedAction<VariableBasedAction.VariableWrapper>`